# ApplicationFramework
TKLCAF
TDF

# TDF_GUIDProgIDMap Class Reference

`#include <TDF_GUIDProgIDMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_GUIDProgIDMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_GUIDProgIDMap & | Assign (const TDF_GUIDProgIDMap &Other)
TDF_GUIDProgIDMap & | operator= (const TDF_GUIDProgIDMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_GUIDProgIDMap ()
Standard_EXPORT void | Bind (const Standard_GUID &K1, const TCollection_ExtendedString &K2)
Standard_EXPORT Standard_Boolean | AreBound (const Standard_GUID &K1, const TCollection_ExtendedString &K2) const
Standard_EXPORT Standard_Boolean | IsBound1 (const Standard_GUID &K) const
Standard_EXPORT Standard_Boolean | IsBound2 (const TCollection_ExtendedString &K) const
Standard_EXPORT const TCollection_ExtendedString & | Find1 (const Standard_GUID &K) const
Standard_EXPORT const Standard_GUID & | Find2 (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Boolean | UnBind1 (const Standard_GUID &K)
Standard_EXPORT Standard_Boolean | UnBind2 (const TCollection_ExtendedString &K)

## Private Member Functions

Standard_EXPORT | TDF_GUIDProgIDMap (const TDF_GUIDProgIDMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_GUIDProgIDMap::TDF_GUIDProgIDMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_GUIDProgIDMap::~TDF_GUIDProgIDMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_GUIDProgIDMap::TDF_GUIDProgIDMap | ( | const TDF_GUIDProgIDMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDF_GUIDProgIDMap::AreBound | ( | const Standard_GUID & | K1,
|  | const TCollection_ExtendedString & | K2
| ) | const

Standard_EXPORT TDF_GUIDProgIDMap& TDF_GUIDProgIDMap::Assign | ( | const TDF_GUIDProgIDMap & | Other | ) |

Standard_EXPORT void TDF_GUIDProgIDMap::Bind | ( | const Standard_GUID & | K1,
|  | const TCollection_ExtendedString & | K2
| ) |

Standard_EXPORT void TDF_GUIDProgIDMap::Clear | ( |  | ) |

Standard_EXPORT const TCollection_ExtendedString& TDF_GUIDProgIDMap::Find1 | ( | const Standard_GUID & | K | ) | const

Standard_EXPORT const Standard_GUID& TDF_GUIDProgIDMap::Find2 | ( | const TCollection_ExtendedString & | K | ) | const

Standard_EXPORT Standard_Boolean TDF_GUIDProgIDMap::IsBound1 | ( | const Standard_GUID & | K | ) | const

Standard_EXPORT Standard_Boolean TDF_GUIDProgIDMap::IsBound2 | ( | const TCollection_ExtendedString & | K | ) | const

void TDF_GUIDProgIDMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_GUIDProgIDMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_GUIDProgIDMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_GUIDProgIDMap& TDF_GUIDProgIDMap::operator= | ( | const TDF_GUIDProgIDMap & | Other | ) | `[inline]`

Standard_EXPORT void TDF_GUIDProgIDMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDF_GUIDProgIDMap::UnBind1 | ( | const Standard_GUID & | K | ) |

Standard_EXPORT Standard_Boolean TDF_GUIDProgIDMap::UnBind2 | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- TDF_GUIDProgIDMap.hxx